MIX_DestroyTrack(3)

NAME
MIX_DestroyTrack - Destroy the specified track.

SYNOPSIS
#include <SDL3_mixer/SDL_mixer.h>

void MIX_DestroyTrack(MIX_Track *track);

DESCRIPTION
If the track is currently playing, it will be stopped immediately, without any fadeout. If there is a callback set through MIX_SetTrackStoppedCallback(), it will _not_ be called.

If the mixer is currently mixing in another thread, this will block until it finishes. Destroying a track from the mixer thread itself (during a callback) will cause it to be destroyed as soon as this iteration of the mixer thread is not using it; in this scenario, destroying a track and then making futher changes to it is considered undefined behavior.

Destroying a NULL MIX_Track is a legal no-op.

FUNCTION PARAMETERS

track
    the track to destroy.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_mixer 3.0.0.